%define subrel 1

Name:		java-1.8.0-openjfx
Version:	1.8.0.76
Release:	%mkrel 1.b04.1
Summary:	OpenJFX runtime libraries and documentation
Group:		Development/Java
License:	GPLv2 with exceptions
URL:		https://wiki.openjdk.java.net/dashboard.action

Epoch:		1

%global openjfx_version 8u76-b04
# hg clone http://hg.openjdk.java.net/openjfx/8u-dev/rt %{name}-%{version} -r %{openjfx_version}
# tar --exclude ".hg*" -cJf %{name}-%{version}.tar.xz %{name}-%{version}
Source0:	%{name}-%{version}.tar.xz
Source1:	http://services.gradle.org/distributions/gradle-1.8-bin.zip
Patch0:		%{name}-1.8.0.72-mga-correct-copy-file.patch

BuildRequires:	java-1.8.0-openjdk-devel mercurial bison flex gperf pkgconfig pkgconfig(libpng12) libjpeg-devel libxml2-devel libxslt-devel systemd-devel glib2-devel gtk2-devel pkgconfig(xtst) pango-devel freetype-devel alsa-lib-devel glib2-devel qt4-devel pkgconfig(gstreamer-0.10) ffmpeg-devel perl perl-version perl-Digest perl-Digest-MD5 coreutils xz binutils libstdc++-static-devel ruby
Requires:	java-1.8.0-openjdk = %{epoch}:%(rpm -q --queryformat "%{VERSION}-%{RELEASE}" java-1.8.0-openjdk)

%description
OpenJFX is an open source, next generation client application platform for
desktop and embedded systems based on JavaSE. It is a collaborative effort
by many individuals and companies with the goal of producing a modern,
efficient, and fully featured toolkit for developing rich client applications.
This is the open source project where we develop JavaFX.

%global openjdk8_version %(rpm -q java-1.8.0-openjdk).%{_arch}
%global openjdk8_install_dir %{buildroot}/usr/lib/jvm/%{openjdk8_version}
%global openjfx_srcdir %{_builddir}/%{name}-%{version}

# There is no need for a debug package (for now)
%global debug_package %{nil}

%prep
rpm -q %{name} && echo "You need to uninstall the previously built openjfx package before proceeding (this sounds stupid, but it actually makes sense!)"
chmod -R +x %{_builddir}
%setup -T -q -n gradle-1.8 -b 1
%setup -q

%define gradle_properties %{openjfx_srcdir}/gradle.properties
echo "COMPILE_WEBKIT = true" >> %{gradle_properties}
echo "COMPILE_MEDIA = true" >> %{gradle_properties}
echo "BUILD_JAVADOC = true" >> %{gradle_properties}
echo "BUILD_SRC_ZIP = true" >> %{gradle_properties}

%autopatch -p1

%build
%define qmake_symlink %{_builddir}/bin/qmake
mkdir -p %{_builddir}/bin
[[ -f %{qmake_symlink} ]] || ln -s /usr/lib64/qt4/bin/qmake %{qmake_symlink}
PATH=%{_builddir}/bin:$PATH %{_builddir}/gradle-1.8/bin/gradle

chmod a-x build/javadoc/javafx/scene/layout/doc-files/borderpane.png
chmod a-x build/javadoc/javafx/scene/paint/doc-files/ImagePattern.png
chmod a-x build/javadoc/javafx/scene/media/doc-files/mediaplayerstatus.png

%install
%global sdkdir build/sdk
mkdir -p build/sdk
chmod -R +x %{sdkdir}
mkdir -p %{openjdk8_install_dir}/{lib,bin,jre/lib/ext}
mkdir -p %{buildroot}/%{_mandir}/man1
%ifarch %{ix86}
mkdir -p %{openjdk8_install_dir}/jre/lib/i386
%endif
%ifarch x86_64
mkdir -p %{openjdk8_install_dir}/jre/lib/amd64
%endif

# JDK libraries
install -m644 %{sdkdir}/lib/* %{openjdk8_install_dir}/lib/
install -m755 %{sdkdir}/bin/* %{openjdk8_install_dir}/bin/
install -m644 %{sdkdir}/man/man1/* %{buildroot}/%{_mandir}/man1/

# JRE libraries
install -m644 %{sdkdir}/rt/lib/*.* %{openjdk8_install_dir}/jre/lib/
install -m644 %{sdkdir}/rt/lib/ext/* %{openjdk8_install_dir}/jre/lib/ext/
%ifarch %{ix86}
install -m755 %{sdkdir}/rt/lib/i386/* %{openjdk8_install_dir}/jre/lib/i386/
%endif
%ifarch x86_64
install -m755 %{sdkdir}/rt/lib/amd64/* %{openjdk8_install_dir}/jre/lib/amd64/
%endif

xz %{buildroot}/%{_mandir}/man1/*

%ifarch %{ix86}
strip %{buildroot}/usr/lib/jvm/%{openjdk8_version}/jre/lib/i386/*.so
%endif
%ifarch x86_64
strip %{buildroot}/usr/lib/jvm/%{openjdk8_version}/jre/lib/amd64/*.so
%endif

%files
%doc build/javadoc
/usr/lib/jvm/%{openjdk8_version}/lib/*
/usr/lib/jvm/%{openjdk8_version}/bin/*
%{_mandir}/man1/*
/usr/lib/jvm/%{openjdk8_version}/jre/lib/*


%changelog
* Wed Apr 06 2016 ns80 <ns80> 1:1.8.0.76-1.b04.1.1.mga5
+ Revision: 998988
- new version u76b04
- copy for backport
- imported package java-1.8.0-openjfx

